package com.pusong.workflow.service;

import com.pusong.common.mybatis.core.page.PageQuery;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.workflow.domain.bo.SysUserLeaveBo;
import com.pusong.workflow.domain.vo.SysUserLeaveVo;

import java.util.Collection;
import java.util.List;

/**
 * 请假Service接口
 *
 * @author may
 * @date 2023-07-21
 */
public interface ISysUserLeaveService {

    /**
     * 查询请假
     */
    SysUserLeaveVo queryById(Long id);

    /**
     * 查询请假列表
     */
    TableDataInfo<SysUserLeaveVo> queryPageList(SysUserLeaveBo bo, PageQuery pageQuery);

    /**
     * 查询请假列表
     */
    List<SysUserLeaveVo> queryList(SysUserLeaveBo bo);

    /**
     * 新增请假
     */
    SysUserLeaveVo insertByBo(SysUserLeaveBo bo);

    /**
     * 修改请假
     */
    SysUserLeaveVo updateByBo(SysUserLeaveBo bo);

    /**
     * 校验并批量删除请假信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids);
}
